#
# spec file for package xfontsel
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xfontsel
Version:        1.1.1
Release:        1.4
Summary:        Utility to display X11 font names
License:        X11
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz.sig
Source2:        xfontsel.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xfontsel application provides a simple way to display the X11 core
protocol fonts known to your X server, examine samples of each, and
retrieve the X Logical Font Description ("XLFD") full name for a font.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xfontsel
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XFontSel
%{_mandir}/man1/xfontsel.1%{?ext_man}

%changelog
* Mon Mar  4 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.1
  * Use gettext() to localize messages if available
  * include config.h in xfontsel.c before checking for USE_GETTEXT
  * Print which arguments were unknown before giving usage message
  * Add -help and -version options
  * Fixed -Wshadow declaration warnings
* Thu Aug 11 2022 Dirk Müller <dmueller@suse.com>
- modernize spec-file, move license to %%%%licensedir
- use gpg validation for sources
* Mon Jul 11 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.0:
  * This release adds two small new features - a "Reset" button to reset
    all the selections back to the initial values, and when given the "-scaled"
    option fetch the actual screen resolution and add that to the list of
    available resolutions for the resX and resY menus.
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.0.6
  * Drop CRAY/WORD64 support (unifdef -UCRAY -UWORD64)
  * Replace TXT16 with XChar2b inline
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Get rid of some extraneous ; at the end of C source lines
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sun Jun 23 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Use C99 struct initializer for parseRec in GetFontNames().
  + When font fails to load, grey out text instead of unmapping
    text widget.
  + Prevent memory leak in GetFontNames if no fonts are matched.
  + Combine usage message strings.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Build system fixes.
* Fri Apr 13 2012 mgorse@opensuse.org
- Split xfontsel from xorg-x11. Initial version: 1.0.3.
